
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux 默认根目录的作用说明（中英文对照） / iVAN</title>

    <meta name="description" content="Linux 默认根目录的作用说明（中英文对照） 对于linux新手来说,最感到迷惑的问题之一就是文件都存在哪里呢?特别是对于那些从windows转过来的新手来说,linux的目录结构看起来有些奇怪哦.所以,在这里讲一下linux下的主要目录以及它们都是用来干什么的.         / This is the root directory. The mothership. The home field. The one and only top directory for your whole computer. Everything, an">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux 默认根目录的作用说明（中英文对照）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于linux新手来说，最感到迷惑的问题之一就是文件都存在哪里呢？特别是对于那些从windows转过来的新手来说，linux的目录结构看起来有些奇怪哦。所以，在这里讲一下linux下的主要目录以及它们都是用来干什么的。</p>
<p>        /</p>
<p>　　This is the root directory. The mothership. The home field. The one and only top directory for your whole computer. Everything, and I mean EVERYTHING starts here. When you type ‘/home’ what you’re really saying is “start at / and then go to the home directory.”</p>
<p>　　/</p>
<p>　　这就是根目录。对你的电脑来说，有且只有一个根目录。所有的东西，我是说所有的东西都是从这里开始。举个例子：当你在终端里输入“/home”，你其实是在告诉电脑，先从/（根目录）开始，再进入到home目录。</p>
<p>　　<strong>/root</strong></p>
<p>　　This is where the root user lives. The root user is the god of your system. Root can do anything, up to and including removing your entire filesystem. So be careful using root.</p>
<p>　　<strong>/root</strong></p>
<p>　　这是系统管理员（root user）的目录。对于系统来说，系统管理员就好比是上帝，它能对系统做任何事情，甚至包括删除你的文件。因此，请小心使用root帐号。</p>
<p>　　<strong>/bin</strong></p>
<p>　　Here’s where your standard linux utilities(read programs) live — things like “ls” and “vi” and “more”. Generally this directory is included in your path. What this means is that if you type ‘ls’, /bin is one of the places your shell will look to see if<br />
 ‘ls’ means anything.</p>
<p>　　<strong>/bin</strong></p>
<p>　　这里存放了<a href="http://www.educity.cn/incsearch/search.asp?key=%B1%EA%D7%BC" rel="external nofollow noreferrer">标准</a>的（或者说是缺省的）linux的工具，比如像“ls”、“vi”还有“more”等等。通常来说，这个目录已经包含在你的“path”系统变量里面了。什么意思呢？就是：当你在终端里输入ls，系统就会去/bin目录下面查找是不是有ls这个程序。</p>
<p>　　<strong>/etc</strong></p>
<p>　　Here’s where the administrative and system configuration stuff lives. For instance, if you have samba installed, and you want to modify the samba configuration files, you’d find them in /etc/samba.</p>
<p>　　<strong>/etc</strong></p>
<p>　　这里主要存放了系统配置方面的文件。举个例子：你安装了samba这个套件，当你想要修改samba配置文件的时候，你会发现它们（配置文件）就在/etc/samba目录下。<br />
<br /><strong>/dev</strong></p>
<p>　　Here’s where files that control peripherals live. Talking to a printer? Your computer is doing it from here. Same goes for disk drives, usb devices, and other such stuff.</p>
<p>　　<strong>/dev</strong></p>
<p>　　这里主要存放与设备（包括外设）有关的文件（unix和linux系统均把设备当成文件）。想连线打印机吗？系统就是从这个目录开始工作的。另外还有一些包括磁盘驱动、USB驱动等都放在这个目录。</p>
<p>　　<strong>/home</strong></p>
<p>　　Here’s where your data is stored. Config files specific to users, your Desktop folder(whick makes your desktop what it is), and any data related to your user. Each user will have their own /home/username folder, with the exception of the root user.</p>
<p>　　<strong>/home</strong></p>
<p>　　这里主要存放你的个人数据。具体每个用户的设置文件，用户的桌面文件夹，还有用户的数据都放在这里。每个用户都有自己的用户目录，位置为：/home/用户名。当然，root用户除外。</p>
<p>　　<strong>/tmp</strong></p>
<p>　　This is the Temporary folder. Think of it as a scratch directory for your <a href="http://www.educity.cn/incsearch/search.asp?key=Linux" rel="external nofollow noreferrer">Linux</a> system. Files that won’t be needed by programs once their used once or twice are put here. Many Linux systems are set to automatically wipe the /tmp folder at certain intervals, so don’t put things you want to keep here.</p>
<p>　　<strong>/tmp</strong></p>
<p>　　这是临时目录。对于某些程序来说，有些文件被用了一次两次之后，就不会再被用到，像这样的文件就放在这里。有些linux系统会定期自动对这个目录进行清理，因此，千万不要把重要的数据放在这里。<br />
<br /><strong>/usr</strong></p>
<p>　　Here’s where you’ll find extra utilities that don’t fit under /bin or /etc. Things like games, printer utilities, and whatnot. /usr is divided into sections like /usr/bin for programs, /usr/share for shared data like sound files or icons, /usr/lib for<br />
 libraries whick cannot be directly run but are essential for running other programs.Your package manager takes care of the things in /usr for you.</p>
<p>　　<strong>/usr</strong></p>
<p>　　在这个目录下，你可以找到那些不适合放在/bin或/etc目录下的额外的工具。比如像游戏阿，一些打印工具拉等等。/usr目录包含了许多子目录：/usr/bin目录用于存放程序；/usr/share用于存放一些共享的数据，比如音乐文件或者图标等等；/usr/lib目录用于存放那些不能直接运行的，但却是许多程序运行所必需的一些函数库文件。你的软件包管理器（应该是“新立得”吧）会自动帮你管理好/usr目录的。</p>
<p>　　<strong>/opt</strong></p>
<p>　　Here’s where optional stuff is put. Trying out the latest Firefox beta? Install it to /opt where you can delete it without affecting other settings. Programs in here usually live inside a single folder whick contains all of their data, libraries, etc.</p>
<p>　　<strong>/opt</strong></p>
<p>　　这里主要存放那些可选的程序。你想尝试最新的firefox测试版吗？那就装到/opt目录下吧，这样，当你尝试完，想删掉firefox的时候，你就可以直接删除它，而不影响系统其他任何设置。安装到/opt目录下的程序，它所有的数据、库文件等等都是放在同个目录下面。</p>
<p>　　举个例子：刚才装的测试版firefox，就可以装到/opt/firefox_beta目录下，/opt/firefox_beta目录下面就包含了运行firefox所需要的所有文件、库、数据等等。要删除firefox的时候，你只需删除/opt/firefox_beta目录即可，非常简单。</p>
<p>　　<strong>/usr/local</strong></p>
<p>　　This is where most manually installed(ie. outside of your package manager) software goes. It has the same structure as /usr. It is a good idea to leave /usr to your package manager and put any custom scripts and things into /usr/local, since nothing important<br />
 normally lives in /usr/local.</p>
<p>　　<strong>/usr/local</strong></p>
<p>　　这里主要存放那些手动安装的软件，即不是通过“新立得”或apt-get安装的软件。它和/usr目录具有相类似的目录结构。让软件包管理器来管理/usr目录，而把自定义的脚本（scripts）放到/usr/local目录下面，我想这应该是个不错的主意。</p>
<p>　　<strong>/media</strong></p>
<p>　　Some distros use this folder to mount things like usb disks, cd or dvd drives and other filesystems.</p>
<p>　　<strong>/media</strong></p>
<p>　　有些linux的发行版使用这个目录来挂载那些usb接口的移动硬盘（包括U盘）、CD/DVD驱动器等等。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 12:54:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux 默认根目录的作用说明（中英文对照）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnYKv2M.html" rel="bookmark">linux系统主要目录作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  /bin :是binary的缩写,这个目录是对Unix系统习惯的沿袭,存放着使用者最经常使用的命令.如:ls,cp,cat等. /boot:这里存放的是启动Linux时使用的一些核心文件. /dev :是device的缩写.这个目录下是任何Linux的外部设备,其功能类似Dos下的.sys和Win下的.vxd.在Linux中设备和文档是用同种方法访问的.例如:/dev/hda代表第一个物理IDE硬盘. /etc :这个目录用来存放任何的系统管理所需要的配置文档和子目录. /home:用户主目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEkyPb.html" rel="bookmark">C&num;默认构造函数的作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				构造函数主要用来初始化对象.它又分为静态(static)和实例(instance)构造函数两种类别.大家应该都了解如果来写类的构造函数,这里只说下默认构造函数的作用,以及在类中保留默认构造函数的重要性.实际上,我说错了.正确的说法是:以及在类中保留空参数构造函数的重要性. 我们来写一个类A,代码如下: view plaincopy to clipboardprint? public class A { public int Number; //数字 public string Word; //文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7krVqz.html" rel="bookmark">ps菜单中英文对照</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ps菜单中英文对照 一.File&lt;文件&gt; 1.New&lt;新建&gt; 2.Open&lt;打开&gt; 3.Open As&lt;打开为&gt; 4.Open Recent&lt;最近打开文件&gt; 5.Close&lt;关闭&gt; 6.Save&lt;存储&gt; 7.Save As&lt;存储为&gt; 8.Save for Web&lt;存储为Web所用格式&gt; 9.Revert&lt;恢复&gt; 10.Place&lt;置入&gt; 11.Import&lt;输入&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEjOOz.html" rel="bookmark">geronimo部署war包之后，站点的默认根目录的疑问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 写了一个简单的web应用,功能之一是上传一些文档到服务器上,然后在页面显示它们的链接,点一下可以下载.服务器用的是geronimo.由于我的这个应用是用war包的方式发布的,我认为应该就是war包的根目录就是web应用的默认根目录.结果不是这样,我在服务器端的jsp文件里用java语言建立了几个目录(只写相对路径),结果我竟然是在%GERONIMO_HOME%bin里面建立了这几个目录,这说明web应用的默认路径是在war包之外.那如果我希望将上传的文件链接到页面上,就很困难了,我不可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z75n4qM.html" rel="bookmark">SQL命令大全-中英文对照第1&sol;3页&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL命令大全-中英文对照--语 句 功 能 --数据操作 SELECT --从数据库表中检索数据行和列 INSERT --向数据库表添加新数据行 DELETE --从数据库表中删除数据行 UPDATE --更新数据库表中的数据 --数据定义 CREATE TABLE --创建一个数据库表 DROP TABLE --从数据库中删除表 ALTER TABLE --修改数据库表结构 CREATE VIEW --创建一个视图 DROP VIEW --从数据库中删除视图 CREATE INDEX --为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDyRoKb.html" rel="bookmark">SQL命令大全-中英文对照第1&sol;3页</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL命令大全-中英文对照 --语 句 功 能 --数据操作 SELECT --从数据库表中检索数据行和列 INSERT --向数据库表添加新数据行 DELETE --从数据库表中删除数据行 UPDATE --更新数据库表中的数据 --数据定义 CREATE TABLE --创建一个数据库表 DROP TABLE --从数据库中删除表 ALTER TABLE --修改数据库表结构 CREATE VIEW --创建一个视图 DROP VIEW --从数据库中删除视图 CREATE INDEX --			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZwGLYb.html" rel="bookmark">linux默认的目录详细介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录/文件 用途 来源 / /处于Linux文件系统树形结构的最顶端,它是Linux文件系统的入口,所有的目录.文件.设备都在/之下. - /bin 该目录存放着系统最常用的最重要的命令,相当于DOS下的内部命令,只不过它们是以独立的文件形式存在.比如:ls.cp.mkdir等命令.这个目录中的文件都是可执行的并且是普通用户都可以使用的命令.作为系统最基础的命令都放在这里. binary /usr 该目录是系统存放程序的地方,比如普通命令.帮助文件.安装的软件等.这个目录下有很多的文件和目录.当			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXD41z.html" rel="bookmark">R语言 lars包 lars&lpar;&rpar;函数中文帮助文档&lpar;中英文对照&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lars(lars)lars()所属R语言包:lars                                          Fits Least Angle Regression, Lasso and Infinitesimal Forward Stagewise regression models                                         适用于最小角度回归,套索和无穷的前进Stagewise的回归模型                    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLYRVLz.html" rel="bookmark">Linux之redis配置文件redis&period;conf中英文对比说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				# Redis示例配置文件 # 注意单位问题:当需要设置内存大小的时候,可以使用类似1k.5GB.4M这样的常见格式: # # 1k =&gt; 1000 bytes # 1kb =&gt; 1024 bytes # 1m =&gt; 1000000 bytes # 1mb =&gt; 1024*1024 bytes # 1g =&gt; 1000000000 bytes # 1gb =&gt; 1024*1024*1024 bytes # # 单位是大小写不敏感的,所以1GB 1Gb 1gB的写法都是完			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQBWrM.html" rel="bookmark" class="title">QML与指针</a>
					<div>
						                 在QML刚刚出来不久,参加nokia的一个Qt Quick培训的时候,QML就给我的印象是:解释性脚本语言,没有内存操作的说法,更不用说指针了.当时也就是想想,也没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlOwLb.html" rel="bookmark" class="title">如何查看mysql版本的四种方法</a>
					<div>
						菜鸟大讲堂:如何查看mysql版本的四种方法 1:在终端下:mysql -V. 以下是代码片段: [shengting@login ~]$ mysql -V mysql Ver 14.7 Distri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgOJZM.html" rel="bookmark" class="title">动态控制Page页的Head信息</a>
					<div>
						动态|控制 在以前的ASP程序里我们经常用使用Response.Write动态输出网页Header信息,但在ASP.NET里这个所谓代码与UI分离的指导思想不再希望我们这样做了(当然如果您愿意还可以, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlr8Yz.html" rel="bookmark" class="title">SQL操作（初级、中级、高级）</a>
					<div>
						高级 操作数据:SQL 操作数据:SQL n  SQL基础  n  中级SQL  n  高级SQL    =============================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRl7xz.html" rel="bookmark" class="title">PHP引用的调用</a>
					<div>
						1.function test($arr){}    echo test(&amp;$arr); 2.function test(&amp;$arr){}    echo test($arr); 1和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7WN1M.html" rel="bookmark" class="title">php设计模式介绍之观测模式</a>
					<div>
						一些面向对象的编程方式,提供了一种构建对象间复杂网络互连的能力.当对象们连接在一起时,它 们就可以相互提供服务和信息. 通常来说,当某个对象的状态发生改变时,你仍然需要对象之间 能互相通信.但是出于各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKdQ5M.html" rel="bookmark" class="title">Step1数据系统技术&lpar;3&period;使用浏览器Cache和http状态码304实现的客户端缓存&rpar;</a>
					<div>
						实在抱歉,因为本来这个系列应该早就应该写完的,不过在我写了两章之后,没有过多久,我的网站就崩溃了,崩溃的原因是有人试图从我的网站抓取数据,从而造成了网站数据库的频繁访问,如果大家看过我以前的几篇,应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRr2Rz.html" rel="bookmark" class="title">Java语言灵巧指针与垃圾回收</a>
					<div>
						在JAVA 和 C# 中都有垃圾回收功能,程序员在分配一段内存后可以不再理会,而由垃圾回收自动回收,从而使程序员从复杂的内存管理中解脱出来.这是JAVA 和 C#的一大优点.而C++程序员在用 new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYKVjM.html" rel="bookmark" class="title">Excel如何让数据自动插入小数点</a>
					<div>
						  我们在做Excel表格时,需要输入大量的数据,而且这些数据小数位数固定,使用什么方法实现免小数点快速输入数据呢?下面给大家介绍方法. 启动Excel,新建文档如下图所示. 单击菜单栏&quot;文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLj7vb.html" rel="bookmark" class="title">微信电脑版如何使用</a>
					<div>
						  在新推出的电脑版微信软件中功能并不是特别多,因为微信电脑版是还在一个初始阶段.下面小编为大家介绍一下微信电脑版的一些功能 1.首先登陆,微信电脑版的登录是很高大上的 2.进入主页面,我们可以看到在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8y5Zp.html" rel="bookmark" class="title">安装MAC系统如何制作Yosemite安装U盘</a>
					<div>
						  一些Windows用户想在自己的电脑上安装MAC系统,但是却不知道Mac系统的U盘启动盘该怎么制作,现在小编就教大家如何制作Yosemite系统安装U盘. 具体操作步骤: 第一步.你需要准备一个至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad5nwz.html" rel="bookmark" class="title">让windows系统人性化的12大设置</a>
					<div>
						  1.退格键在浏览器中的返回功能 在默认情况下,使用网页浏览器时按下退格键会返回到上一个页面,常常会因为输入焦点切换退格误操作而丢失正在进行的工作,令人十分烦恼.一些浏览器如Chrome或火狐,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWV7Lp.html" rel="bookmark" class="title">通过obs在网页flsh上直播的功能代码怎么实现</a>
					<div>
						问题描述 通过obs在网页flsh上直播的功能代码怎么实现 通过obs在网页flsh上直播的功能代码怎么实现,obs端的fms url在网页上怎么获取,串流码是随机的吗?还是可以自定义的,求大神赐教, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE64Y9M.html" rel="bookmark" class="title">Android通过Path实现复杂效果（搜索按钮&plus;时钟的实现 &plus;svg实现）</a>
					<div>
						Path : 在Android中复杂的图形的绘制绝大多数是通过path来实现,比如绘制一条曲线,然后让一个物体随着这个曲线运动,比如搜索按钮,比如一个简单时钟的实现: 那么什么是path呢! 定义:p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrvoWM.html" rel="bookmark" class="title">&lbrack;windows&plus;cocos2dx&rsqb;文本类</a>
					<div>
						文字也是游戏最重要的元素之一,下面就看看使用动态字体和静态字体库如何创建文字.使用动态字体库创建的文字可以包含常用的任何字符,一般如果用户要输入名字,这就最好用动态字体库,因为你不知道用户要创建什么字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NdAqM.html" rel="bookmark" class="title">HBase shell基础和常用命令详解</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/13713.html&quot;&gt;HBase是一个分布式的.面向列的开源数据库,源于google的一篇论文&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk436b.html" rel="bookmark" class="title">用户抛弃了我 我抛弃了卡巴</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 卡巴斯基19日上午将CNZZ的一段网站统计代码列为木马程序,提示用户访问这些含有CNZZ代码的网站存在安全风险,卡巴此次误报病毒,影响上百万网站正常运营 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kB4BM.html" rel="bookmark" class="title">简单cs结构-能不能帮我看一下下面两端小代码服务端怎么收不到数据啊？</a>
					<div>
						问题描述 能不能帮我看一下下面两端小代码服务端怎么收不到数据啊? package chat; import java.awt.event.ActionEvent; import java.awt.ev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVjD8b.html" rel="bookmark" class="title">咕咚运动数据存储实践</a>
					<div>
						咕咚APP--综合运动社交平台     咕咚APP致力于打造运动社交综合型平台,目前咕咚APP所涵盖人群包括:跑步.健走.骑行.游泳.滑雪.篮球.足球等多个领域,并为其提供相应功能进行承载.   咕咚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7lnop.html" rel="bookmark" class="title">js调试-利用easyui panel控件中的href 引入一个html代码片段，片段里面的js怎么调试？</a>
					<div>
						问题描述 利用easyui panel控件中的href 引入一个html代码片段,片段里面的js怎么调试? Firefox和chrome的js调试页面都不显示片段js文件.唯一的办法是在要调试的地方加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRnwBz.html" rel="bookmark" class="title">阿里巴巴开源技术汇总：115个软件</a>
					<div>
						近期策划了多期和开源产品相关的内容,比如: 28款GitHub最流行的开源机器学习项目(一和二):TensorFlow排榜首 史上最全的&quot;大数据&quot;学习资源(上和下) 史上最全的机器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA6JkM.html" rel="bookmark" class="title">mysql设置主键出错，可我对照网上教程找不出错误</a>
					<div>
						问题描述 mysql设置主键出错,可我对照网上教程找不出错误 请告诉我哪儿错了,谢谢! 解决方案 primary key('book_id'),//这一行首先将book_id的单引号去掉,然后将后面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE3w1z.html" rel="bookmark" class="title">mfc入门-为什么mfc中我在右击编辑框点添加变量没有反应&quest;</a>
					<div>
						问题描述 为什么mfc中我在右击编辑框点添加变量没有反应? 用vs2010的时候为什么mfc中我在右击编辑框点添加变量没有反应? 解决方案 一定要添加类 后才能添加变量 没有类,哪来的成员变量 也可参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAqX3M.html" rel="bookmark" class="title">为什么可穿戴设备会在此时兴起？- 物联其实可以从手机开始</a>
					<div>
						为什么可穿戴设备会在此时兴起? 其中一个原因是Bluetooth Smart准备好了 2013-10-18 09:58 到目前为止,当我们谈到可穿戴设备时都要提到一个参数:支持蓝牙还是用无线网络与智能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40gDLz.html" rel="bookmark" class="title">9本Java程序员必读的书</a>
					<div>
						本文列出的9本书在Java程序员界都是被认为很棒的书.当一个程序员开始初学Java时,他的第一个问题应该是如何选择一本书来作为指导学习Java.这个问题也就表明,相对于其他的教程和博客,Java书籍还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBe5wM.html" rel="bookmark" class="title">FaceBook API</a>
					<div>
						Graph API At Facebook's core is the social graph; people and the connections they have to everything ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWw4vz.html" rel="bookmark" class="title">mysql ssh 导入时注意问题</a>
					<div>
						1.MySQL错误 ERROR 2006 (HY000): MySQL server has gone away 问题产生: 导入SQL 文件过大时报错 SQL文件140M source /sql.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRlZkp.html" rel="bookmark" class="title">连接启用网络级身份验证模式的Windows 2008远程桌面</a>
					<div>
						说起远程桌面很多用户都认为是从WIN2000 SERVER才开始引入的,实际上我们可以在WIN98甚至是DOS中看到他的身影.远程桌面采用的是一种类似TELNET的技术,他是从TELNET协议发展而来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MNv7JoM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny83MjcwMjUvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MNv7JoM.html" rel="bookmark" class="title">哪些因素决定互联网人薪水？</a>
					<div>
						片面的评论文中薪酬数字的多少是没有意义的,一是因为薪酬永远要与付出一起看.高年薪.高收入的背后往往是长期的加班.更重的压力.更大的时间成本投入.二是从文章的发布方来看,猎头公司是有夸大的动力并用高薪酬 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1jEGb.html" rel="bookmark" class="title">AngularJS 面试题集锦&lowbar;AngularJS</a>
					<div>
						ng-if 跟 ng-show/hide 的区别有哪些? 第一点区别是, ng-if 在后面表达式为 true 的时候才创建这个 dom 节点, ng-show 是初始时就创建了,用 display: ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
